CACOSH(3) | Library Functions Manual | CACOSH(3)

# NAME

`cacosh`, `cacoshf`, `cacoshl` — complex arc hyperbolic cosine functions

# SYNOPSIS

`#include <complex.h>`

double complex
`cacosh`(double complex z);

float complex
`cacoshf`(float complex z);

long double complex
`cacoshl`(long double complex z);

# DESCRIPTION

These functions compute the complex arc hyperbolic cosine of z, with a branch cut at values less than 1 along the real axis.

# RETURN VALUES

These functions return the complex arc hyperbolic cosine value, in the range of a half-strip of non-negative values along the real axis and in the interval [-i pi, +i pi] along the imaginary axis.

# ERRORS

No errors are defined.

# SEE ALSO

ccosh(3), IEEE Std 1003.1-2001 (“POSIX.1”) ⟨complex.h⟩

# COPYRIGHT

Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

January 29, 2013 | NetBSD 11.0